| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csClipInfo Struct Reference
[Geometry utilities]

Structure for use with ClipToPlane. More...

`#include <csgeom/frustum.h>`

List of all members.

## Public Member Functions
void | Copy (csClipInfo &other)
| Copy the information from another clipinfo instance to this one.
| csClipInfo ()
void | Dump (int indent)
void | Move (csClipInfo &other)
| Move the information from another clipinfo instance to this one.
| ~csClipInfo ()
## Public Attributes
csClipType | type
csClipInfo * | ci1
csClipInfo * | ci2
int | i1
int | i2
int | idx
float | r

## Detailed Description

Structure for use with ClipToPlane.

This structure is used in addition to a vertex to give additional information about how to interpolate additional information that goes with the vertex.

Definition at line 70 of file frustum.h.

## Member Function Documentation

void csClipInfo::Copy | ( | csClipInfo & | other | ) | `[inline]`

Copy the information from another clipinfo instance to this one.

Definition at line 86 of file frustum.h.

References inside, onedge, original, and type.

void csClipInfo::Move | ( | csClipInfo & | other | ) | `[inline]`

Move the information from another clipinfo instance to this one.

Definition at line 106 of file frustum.h.

References inside, onedge, original, and type.

The documentation for this struct was generated from the following file:

- csgeom/frustum.h